Page MenuHomePhabricator

Scribunto unit tests failing due to MediaWiki core changes
Closed, ResolvedPublic

Description

  • Gerrit change 142974 caused Language::fetchLanguageNames() to use 'en' rather than null when given an invalid language code. This didn't break Jenkins since, without cldr, it always uses null anyway.
  • Gerrit change 177980 (and Gerrit change 177979) caused Language::listToText() to start encoding single-quotes in messages such as 'and'.

Details

Related Gerrit Patches:
mediawiki/extensions/Scribunto : masterUpdate unit tests for recent core changes

Event Timeline

Anomie created this task.Jan 5 2015, 8:52 PM
Anomie changed the task status from Open to Stalled.
Anomie claimed this task.
Anomie raised the priority of this task from to Medium.
Anomie updated the task description. (Show Details)
Anomie added a subscriber: Anomie.

Stalled on the question of whether the change to Language::listToText() should be reverted or not.

Anomie set Security to None.Jan 5 2015, 8:53 PM
Anomie moved this task from Backlog to Needs Review/Feedback on the MediaWiki-Core-Team board.
Anomie added subscribers: Jackmcbarn, Nikerabbit.

Change 182099 had a related patch set uploaded (by Anomie):
Update unit tests for recent core changes

https://gerrit.wikimedia.org/r/182099

Patch-For-Review

Change 182099 merged by jenkins-bot:
Update unit tests for recent core changes

https://gerrit.wikimedia.org/r/182099

Anomie closed this task as Resolved.Jan 9 2015, 2:08 PM
bd808 moved this task from Done to Archive on the MediaWiki-Core-Team board.Jan 12 2015, 11:37 PM